[Yandex Cloud documentation](../../../../index.md) > [Yandex Object Storage](../../../index.md) > API reference > [AWS S3 REST](../../index.md) > [REST](../index.md) > Bucket > PutBucketTagging

# Object Storage API, Amazon S3-compatible REST: PutBucketTagging

Adds [labels](../../../concepts/tags.md) to a bucket. This overwrites any existing bucket labels.

{% note info %}

Yandex Cloud uses _labels_ to logically identify resources. However, Object Storage supports compatibility with [Amazon S3 API](https://docs.aws.amazon.com/AmazonS3/latest/API/Welcome.html), that is why we use _tags_, a term native to AWS, in the [AWS CLI](../../../tools/aws-cli.md) commands and [API](../../index.md) parameters.

{% endnote %}

For more information on getting started with the API and the general request format, see [How to use the S3 API](../../index.md).

## Request {#request}

```http
PUT /{bucket}?tagging HTTP/2
```

### Path parameters {#path-parameters}

Parameter | Description
----- | -----
`bucket` | Bucket name.

### Query parameters {#request-params}

Parameter | Description
--- | ---
`tagging` | Required parameter that indicates the type of operation.

### Data schema {#request-scheme}

```xml
<?xml version="1.0" encoding="UTF-8" ?>
<Tagging xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
   <TagSet>
      <Tag>
         <Key>string</Key>
         <Value>string</Value>
      </Tag>
   </TagSet>
</Tagging>
```

Element | Description
--- | ---
`Tagging` | Root element.
`TagSet` | Array of labels.
`Tag` | Container for a label.
`Key` | Label key.<br>Type: String.
`Value` | Label value.<br>Type: String.

### Headers {#request-headers}
Use only [common headers](../common-request-headers.md) in your requests.

## Response {#response}

### Headers {#response-headers}

Responses can only contain [common headers](../common-response-headers.md).

### Response codes {#response-codes}

For a list of possible responses, see [Responses](../response-codes.md).

A successful response does not contain any additional data.

#### Related articles {#related-articles}

* [Bucket in Object Storage](../../../concepts/bucket.md)

* [Adding or changing bucket labels](../../../operations/buckets/tagging.md#add-edit-tag)

#### See also {#see-also}

* [Getting started with the AWS S3 API in Yandex Object Storage](../../s3-api-quickstart.md)

* [Debugging requests using the AWS CLI](../../signing-requests.md#debugging)

* [Example of sending a signed request using curl](../../../api-ref/authentication.md#s3-api-example)

* [Code example for generating a signature](../../../concepts/pre-signed-urls.md#code-examples)